package jp.sourceforge.cfneo.at4ie.api.impl.ie.invoker;

import jp.sourceforge.cfneo.at4ie.api.AT4IEAssertException;
import jp.sourceforge.cfneo.at4ie.api.Context;
import jp.sourceforge.cfneo.at4ie.api.Invoker;
import jp.sourceforge.cfneo.at4ie.api.TargetBrowser;
import jp.sourceforge.cfneo.at4ie.api.TestCase;

import org.apache.log4j.Logger;

/**
 * command=closeのInvoker。<br />
 * ブラウザを閉じる。
 * @author imaitakafumi
 *
 */
public class CloseInvoker extends Invoker {

	Logger logger = Logger.getLogger(CloseInvoker.class);

	/**
	 * コンストラクタ。
	 * @param context
	 * @param browser
	 */
	public CloseInvoker(Context context, TargetBrowser browser) {
		super(context, browser);
	}

	@Override
	public void invoke(TestCase testCase) throws AT4IEAssertException {
		logger.debug("IECloseInvoker#invoke");
		super.getBrowser().closeWindow();
	}

}
